Author: dnusinow
Date: 2006-06-08 22:34:26 -0400 (Thu, 08 Jun 2006)
New Revision: 2295

Modified:
   trunk/xsfbs/xsfbs.sh
Log:
Fix for bug #371152. Thanks Joey Hess.

Modified: trunk/xsfbs/xsfbs.sh
===================================================================
--- trunk/xsfbs/xsfbs.sh        2006-06-08 04:28:51 UTC (rev 2294)
+++ trunk/xsfbs/xsfbs.sh        2006-06-09 02:34:26 UTC (rev 2295)
@@ -254,7 +254,7 @@
       _possible_culprits=$(ls -1 $_dpkg_info_dir/*.list | egrep -v \
         "(xbase-clients|x11-common|xfs|xlibs)")
       if [ -n "$_possible_culprits" ]; then
-        _smoking_guns=$(grep -l "$1" $_possible_culprits)
+        _smoking_guns=$(grep -l "$1" $_possible_culprits || true)
         if [ -n "$_smoking_guns" ]; then
           _bad_packages=$(printf "\\n")
           for f in $_smoking_guns; do


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to